Search Orders
curl --request GET \
--url https://api-staging.unbridaled.ai/api/v3/orders/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.unbridaled.ai/api/v3/orders/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.unbridaled.ai/api/v3/orders/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.unbridaled.ai/api/v3/orders/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.unbridaled.ai/api/v3/orders/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.unbridaled.ai/api/v3/orders/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.unbridaled.ai/api/v3/orders/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"uuid": "973c4c41-ce72-42c5-b184-3f0d8d4bb1af",
"order_type": "invoice",
"merchant_uuid": "419c61fa-e674-414a-a1e2-7c5270ed9668",
"order_reference": "999917",
"external_order_id": "777717",
"fulfillment_status": null,
"payment_status": null,
"ordered_on": "2021-12-15T17:57:09.046284+00:00",
"created_on": "2021-12-15T17:57:09.046284+00:00",
"line_items": []
}
],
"total": 1,
"offset": 0,
"limit": 100
}Orders
Search Orders
Search Orders with a fulltext query and optional filters.
Searches across order ID, memo ID, merchant names, SKUs, certificate numbers, weights, and vendor codes.
Returns
An object with orders, total, offset, and limit fields.
GET
/
api
/
v3
/
orders
/
search
Search Orders
curl --request GET \
--url https://api-staging.unbridaled.ai/api/v3/orders/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.unbridaled.ai/api/v3/orders/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.unbridaled.ai/api/v3/orders/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.unbridaled.ai/api/v3/orders/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.unbridaled.ai/api/v3/orders/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.unbridaled.ai/api/v3/orders/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.unbridaled.ai/api/v3/orders/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"uuid": "973c4c41-ce72-42c5-b184-3f0d8d4bb1af",
"order_type": "invoice",
"merchant_uuid": "419c61fa-e674-414a-a1e2-7c5270ed9668",
"order_reference": "999917",
"external_order_id": "777717",
"fulfillment_status": null,
"payment_status": null,
"ordered_on": "2021-12-15T17:57:09.046284+00:00",
"created_on": "2021-12-15T17:57:09.046284+00:00",
"line_items": []
}
],
"total": 1,
"offset": 0,
"limit": 100
}